aim4.im

## Class DummyManager

- java.lang.Object
- - aim4.im.IntersectionManager
  - - aim4.im.DummyManager

-     public class DummyManager
      extends IntersectionManager

  An dummy interaction manager

- - ### Field Summary

    - ### Fields inherited from class aim4.im.IntersectionManager

      `currentTime, id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummyManager(Intersection intersection, TrackModel trajectoryModel, double currentTime, Registry<IntersectionManager> registry)` Create a dummy manager.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `act(double timeStep)` Take any actions for a certain period of time.
    `void` | `printData(String outFileName)` Print the collected data to a file

    - ### Methods inherited from class aim4.im.IntersectionManager

      `checkCurrentTime, contains, getCurrentTime, getDebugShapes, getId, getIntersection, getSortedDepartureLanes, getTrackModel, intersects, manages, manages, traversalDistance, traversalDistance, traversalDistance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DummyManager

          public DummyManager(Intersection intersection,
                      TrackModel trajectoryModel,
                      double currentTime,
                      Registry<IntersectionManager> registry)

      Create a dummy manager.
      Parameters:
        `intersection` - an intersection
        `trajectoryModel` - a trajectory model
        `currentTime` - the current time
        `registry` - the intersection managers registry

  - ### Method Detail

    - #### act

          public void act(double timeStep)

      Take any actions for a certain period of time.
      Overrides:
        `act` in class `IntersectionManager`
      Parameters:
        `timeStep` - the size of the time step to simulate, in seconds

    - #### printData

          public void printData(String outFileName)

      Print the collected data to a file
      Overrides:
        `printData` in class `IntersectionManager`
      Parameters:
        `outFileName` - the name of the file to which the data are outputted.

Copyright © 2013. All rights reserved.